# Generated by Django 2.0 on 2018-01-14 13:04

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('restapi', '0010_auto_20171125_1507'),
    ]

    operations = [
        migrations.CreateModel(
            name='Duo',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('write_date', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=256, verbose_name='title')),
                ('duo_integration_key', models.CharField(max_length=32, verbose_name='Duo Integration Key')),
                ('duo_secret_key', models.CharField(max_length=256, verbose_name='Encrypted Duo Secret Key')),
                ('duo_host', models.CharField(max_length=32, verbose_name='Duo Host')),
                ('enrollment_user_id', models.CharField(max_length=32, verbose_name='Duo user_id')),
                ('enrollment_expiration_date', models.DateTimeField(blank=True, null=True)),
                ('enrollment_activation_code', models.CharField(max_length=128, verbose_name='Duo Host')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='duo', to='restapi.User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='token',
            name='duo_2fa',
            field=models.BooleanField(default=False, help_text='Specifies if Duo is required or not', verbose_name='Duo Required'),
        ),
        migrations.AlterField(
            model_name='data_store',
            name='description',
            field=models.CharField(default='default', max_length=64),
        ),
        migrations.AlterField(
            model_name='data_store',
            name='type',
            field=models.CharField(db_index=True, default='password', max_length=64),
        ),
        migrations.AlterField(
            model_name='secret',
            name='type',
            field=models.CharField(db_index=True, default='password', max_length=64),
        ),
        migrations.AlterField(
            model_name='user_group_membership',
            name='private_key_type',
            field=models.CharField(default='asymmetric', help_text='Key type of the private key, either "symmetric", or "asymmetric"', max_length=16, verbose_name='Private Key type'),
        ),
        migrations.AlterField(
            model_name='user_group_membership',
            name='secret_key_type',
            field=models.CharField(default='asymmetric', help_text='Key type of the secret key, either "symmetric", or "asymmetric"', max_length=16, verbose_name='Key type'),
        ),
        migrations.AlterField(
            model_name='user_share_right',
            name='key_type',
            field=models.CharField(default='asymmetric', help_text='Key type, either "symmetric", or "asymmetric"', max_length=16, verbose_name='Key type'),
        ),
    ]
