# Generated by Django 2.2.7 on 2019-12-22 09:32

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('restapi', '0027_auto_20190601_1556'),
    ]

    operations = [
        migrations.CreateModel(
            name='SecurityReport',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('write_date', models.DateTimeField(auto_now=True)),
                ('recovery_code_exists', models.BooleanField(default=False, help_text='Did a recovery code exist', verbose_name='Recovery Code exists')),
                ('two_factor_exists', models.BooleanField(default=False, help_text='Did the user configure two factor exist', verbose_name='Two factor exists')),
                ('website_password_count', models.PositiveIntegerField(default=0, verbose_name='Count of passwords')),
                ('breached_password_count', models.PositiveIntegerField(default=0, verbose_name='Count of breached passwords')),
                ('duplicate_password_count', models.PositiveIntegerField(default=0, verbose_name='Count of password duplicates')),
                ('check_haveibeenpwned', models.BooleanField(default=False, help_text='Did the user check his passwords against have i been pwened', verbose_name='Checked HaveIBeenPwned')),
                ('master_password_breached', models.BooleanField(default=False, help_text='Has the master password been breached', null=True, verbose_name='Master password breached')),
                ('master_password_duplicate', models.BooleanField(default=False, help_text='Has the master password been used somewhere else', null=True, verbose_name='Master password duplicate')),
                ('master_password_length', models.PositiveIntegerField(null=True, verbose_name='Master password length')),
                ('master_password_variation_count', models.PositiveIntegerField(help_text='The count of variations (uppercase, lowercase, numbers, special chars', null=True, verbose_name='Master password variation count')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='security_reports', to='restapi.User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SecurityReportEntry',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('write_date', models.DateTimeField(auto_now=True)),
                ('name', models.TextField(null=True)),
                ('type', models.TextField(null=True)),
                ('create_age', models.DurationField(help_text='The time in days since its last update', null=True, verbose_name='Create Age')),
                ('write_age', models.DurationField(help_text='The time in days since its creation', null=True, verbose_name='Write Age')),
                ('master_password', models.BooleanField(default=False, null=True, verbose_name='Masterpassword')),
                ('breached', models.BooleanField(default=False, null=True, verbose_name='Breached')),
                ('duplicate', models.BooleanField(default=False, null=True, verbose_name='Duplicate')),
                ('password_length', models.PositiveIntegerField(null=True, verbose_name='Password length')),
                ('variation_count', models.PositiveIntegerField(help_text='The count of variations (uppercase, lowercase, numbers, special chars', null=True, verbose_name='Variation count')),
                ('security_report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='security_report_entries', to='restapi.SecurityReport')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='security_report_entries', to='restapi.User')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
